#ifndef ALLOCFS_ALLOCATE_H
#define ALLOCFS_ALLOCATE_H

struct inode;

#define EXT2_IOC_SETALLOC               _IOR('s', 3, long)
#define EXT2_IOC_LSALLOC                _IOW('l', 3, long)
#define EXT2_IOC_MKALLOC                _IOR('m', 1, long)

int  allocfs_allocate_block( struct inode *i );
void allocfs_free_blocks( struct inode *i, int nblocks );
void allocfs_free_inode( struct inode *i );

int  allocfs_list_alloc( struct inode *i, int *size, int *inuse, int *parent );
int  allocfs_set_alloc( struct inode *i, int size, int inuse, int parent );
int  allocfs_make_alloc( struct inode *i, int size );

void allocfs_transfer_state_to_child( struct inode *dir, struct inode *inode );

#endif
