/*
This is a bit of a hack to make this module portable.
We want to add some fields to ext2_inode_info.
This is binary compatible, because the structure
lives in a union where it is not the largest variant.
However, we want to be able to distribute and compile
this module without requiring additional patches
to the Linux source.

So, we have copied the structure definition into
this directory, and then munged the headers of
allocate.c and inode.c in order to include this
file and override the ext2_inode_info definition
in the main kernel headers.
*/

#ifndef _LINUX_EXT2_FS_I
#define _LINUX_EXT2_FS_I

struct ext2_inode_info {
	__u32	i_data[15];
	__u32	i_flags;
	__u32	i_faddr;
	__u8	i_frag_no;
	__u8	i_frag_size;
	__u32	i_file_acl;
	__u32	i_dir_acl;
	__u32	i_dtime;
	__u32	i_block_group;
	__u32	i_next_alloc_block;
	__u32	i_next_alloc_goal;
	__u32	i_prealloc_block;
	__u32	i_prealloc_count;
	__u32	i_dir_start_lookup;
	int	i_new_inode:1;	/* Is a freshly allocated inode */
	__u32	i_alloc_size;	/* allocfs: size of allocation */
	__u32	i_alloc_inuse;	/* allocfs: blocks in use */
	__u32	i_alloc_parent; /* allocfs: inode of parent alloc */
};

#endif	/* _LINUX_EXT2_FS_I */
